Profiles

Profile Details by Screen Name

Description

Retrieves the details of a user based on their screen name.

Endpoint

GET api/v1/realtime/social/twitter/v1/profile/{{screenName}}/details

Parameters

Param
Required
Param Type
Description

screenName

Yes

Path Param

String | The screen name of the Twitter user for whom details are to be retrieved.

chevron-rightExample Requesthashtag
curl -X GET 'https://api.webit.live/api/v1/realtime/social/twitter/v1/profile/elonmusk/details' \
--header 'Authorization: Basic <credential string>'
chevron-rightExample Responsehashtag
{
    "__typename": "User",
    "rest_id": "44196397",
    "id_str": "44196397",
    "created_at": "Tue Jun 02 20:12:29 +0000 2009",
    "name": "Elon Musk",
    "screen_name": "elonmusk",
    "description": "",
    "location": "",
    "entities": {...},
    "fast_followers_count": 0,
    "favourites_count": 69802,
    "followers_count": 195594350,
    "friends_count": 723,
    "media_count": 2440,
    "normal_followers_count": 195594350,
    "pinned_tweet_ids_str": [...],
    "profile_banner_url": "https://pbs.twimg.com/profile_banners/44196397/1722660499",
    "profile_image_url_https": "https://pbs.twimg.com/profile_images/1815749056821346304/jS8I28PL_normal.jpg",
    "protected": false,
    "statuses_count": 50158,
    "verified": true,
    "withheld_in_countries": [],
    "verified_type": "Blue",
    "is_blue_verified": true,
    "affiliates_highlighted_label": {...},
    "business_account": {},
    "super_followed_by": false,
    "super_following": false,
    "private_super_following": false,
    "exclusive_tweet_following": false,
    "professional": {
        "professional_type": "Creator",
        "category": []
    }
}

Profile Details by ID

Description

Retrieves the details of a user based on their ID.

Endpoint

GET api/v1/realtime/social/twitter/v1/profile/{{identifier}}/details-by-id

Parameters

Param
Required
Param Type
Description

identifier

Yes

Path Param

String | The id of the Twitter user for whom details are to be retrieved.

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile Feed by Screen Name

Description

Retrieves the feed of a user based on their screen name.

Endpoint

GET api/v1/realtime/social/twitter/v1/profile/{{screenName}}/feed

Parameters

Param
Required
Param Type
Description

screenName

Yes

Path Param

String | The screen name of the Twitter user for whom details are to be retrieved.

Limitation

Subject
Value

Results per Request

<20 results

Total Results

No Limit

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile Tweets by Id

Description

Retrieves the feed of a user based on their profileId. This feed is different from Profile Feed as it includes retweets.

Endpoint

GET api/v1/realtime/social/twitter/v1/profile/{{profileId}}/tweets

Parameters

Param
Required
Param Type
Description

profileId

Yes

Path Param

String | The unique identifier for X (twitter) profile whose information is to be retrieved

Limitation

Subject
Value

Results per Request

<20 results

Total Results

~700

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile Followers by Id

Description

Retrieves the followers of a user given a profileId.

Endpoint

GET api/v1/realtime/social/twitter/v1/profile/{{profileId}}/followers

Parameters

Param
Required
Param Type
Description

profileId

Yes

Path Param

String | The unique identifier for X (twitter) profile whose information is to be retrieved

Limitation

Subject
Value

Results per Request

50-70 results

Total Results

No Limit

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile Following by Id

Description

Retrieves the users a user is following given a profileId.

Endpoint

GET api/v1/realtime/social/twitter/v1/profile/{{profileId}}/following

Parameters

Param
Required
Param Type
Description

profileId

Yes

Path Param

String | The unique identifier for X (twitter) profile whose information is to be retrieved

Limitation

Subject
Value

Results per Request

50-70 results

Total Results

No Limit

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile Highlights by Id

Description

Retrieves the highlights of a user given a profileId.

Endpoint

GET api/v1/realtime/social/twitter/v1/profile/{{profileId}}/highlights

Parameters

Param
Required
Param Type
Description

profileId

Yes

Path Param

String | The unique identifier for X (twitter) profile whose information is to be retrieved

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile Media by Screen Name

Description

Retrieves the media (photos, videos) a user has posted given a screenName.

Endpoint

GET api/v1/realtime/social/twitter/v1/profile/{{screenName}}/media

Parameters

Param
Required
Param Type
Description

screenName

Yes

Path Param

String | The screen name of the Twitter user for whom details are to be retrieved.

Limitation

Subject
Value

Results per Request

<20 results

Total Results

No Limit

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile Replies by Screen Name

Description

Retrieves the replies a user has made given a screenName. Use this endpoint to see all replies a user has posted.

Endpoint

GET api/v1/realtime/social/twitter/v1/profile/{{screenName}}/replies

Parameters

Param
Required
Param Type
Description

screenName

Yes

Path Param

String | The screen name of the Twitter user for whom details are to be retrieved.

Limitation

Subject
Value

Results per Request

<20 results

Total Results

No Limit

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile Lists Memberships By Id

Description

Retrieves the list a user is listed at given a profileId.

Endpoint

GET api/v1/realtime/social/twitter/v1/profile/{{profileId}}/lists/memberships

Parameters

Param
Required
Param Type
Description

profileId

Yes

Path Param

String | The unique identifier for X (twitter) profile whose information is to be retrieved

Limitation

Subject
Value

Results per Request

~10 results

Total Results

No Limit

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile About by Screen Name

Description

Retrieves the about information of a user based on their screen name.

Endpoint

GET api/v1/realtime/social/twitter/v1/profile/{{screenName}}/about

Parameters

Param
Required
Param Type
Description

screenName

Yes

Path Param

String | The screen name of the Twitter user for whom about information is to be retrieved.

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Last updated